Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.util
Class SimpleLockManager

    java.lang.Object
      com.dbxml.util.SimpleLockManager

Deprecated. Only used by FSFiler for exclusive file locks

public final class SimpleLockManager
extends java.lang.Object

SimpleLockManager manages simple resource locks. A resource is any shared object. Locks are exclusive in this model.

Constructor Summary
`SimpleLockManager()` Deprecated.

Method Summary
`void` | `acquireLock(long id)` Deprecated. acquireLock acquires a lock on a resource.
`void` | `acquireLock(java.lang.Object key)` Deprecated. acquireLock acquires a lock on a resource.
`void` | `releaseLock(long id)` Deprecated. releaseLock releases a lock on a resource.
`void` | `releaseLock(java.lang.Object key)` Deprecated. releaseLock releases a lock on a resource.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleLockManager

    public SimpleLockManager()

  Deprecated.

Method Detail

### acquireLock

    public void acquireLock(long id)

  Deprecated.
  acquireLock acquires a lock on a resource.

### acquireLock

    public void acquireLock(java.lang.Object key)

  Deprecated.
  acquireLock acquires a lock on a resource.

### releaseLock

    public void releaseLock(long id)

  Deprecated.
  releaseLock releases a lock on a resource.

### releaseLock

    public void releaseLock(java.lang.Object key)

  Deprecated.
  releaseLock releases a lock on a resource.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group